Capacities - Get Details
Gets details about the specified dedicated capacity.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.PowerBIDedicated/capacities/{dedicatedCapacityName}?api-version=2021-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
dedicated
|
path | True |
string |
The name of the dedicated capacity. It must be a minimum of 3 characters, and a maximum of 63. Regex pattern: |
|
resource
|
path | True |
string |
The name of the Azure Resource group of which a given PowerBIDedicated capacity is part. This name must be at least 1 character in length, and no more than 90. Regex pattern: |
|
subscription
|
path | True |
string |
A unique identifier for a Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string |
The client API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. The operation was successful. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get details of a capacity
Sample Request
GET https://management.azure.com/subscriptions/613192d7-503f-477a-9cfe-4efc3ee2bd60/resourceGroups/TestRG/providers/Microsoft.PowerBIDedicated/capacities/azsdktest?api-version=2021-01-01
Sample Response
{
"id": "/subscriptions/613192d7-503f-477a-9cfe-4efc3ee2bd60/resourceGroups/TestRG/providers/Microsoft.PowerBIDedicated/capacities/azsdktest",
"location": "West US",
"name": "azsdktest",
"properties": {
"administration": {
"members": [
"azsdktest@microsoft.com"
]
},
"provisioningState": "Provisioning",
"state": "Provisioning"
},
"sku": {
"name": "A1",
"tier": "PBIE_Azure"
},
"tags": {},
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2021-01-01T00:00:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-01-01T00:00:19.1234567Z"
}
}
Definitions
| Name | Description |
|---|---|
|
Capacity |
The current deployment state of PowerBI Dedicated resource. The provisioningState is to indicate states for resource provisioning. |
|
Capacity |
Represents the SKU name and Azure pricing tier for PowerBI Dedicated capacity resource. |
|
Capacity |
The name of the Azure pricing tier to which the SKU applies. |
|
Dedicated |
Represents an instance of a Dedicated Capacity resource. |
|
Dedicated |
An array of administrator user identities |
| Error |
The error object |
|
Error |
Describes the format of Error response. |
|
Identity |
The type of identity that created/modified the resource. |
| Mode |
Specifies the generation of the Power BI Embedded capacity. If no value is specified, the default value 'Gen2' is used. Learn More |
| State |
The current state of PowerBI Dedicated resource. The state is to indicate more states outside of resource provisioning. |
|
System |
Metadata pertaining to creation and last modification of the resource. |
CapacityProvisioningState
The current deployment state of PowerBI Dedicated resource. The provisioningState is to indicate states for resource provisioning.
| Name | Type | Description |
|---|---|---|
| Deleting |
string |
|
| Failed |
string |
|
| Paused |
string |
|
| Pausing |
string |
|
| Preparing |
string |
|
| Provisioning |
string |
|
| Resuming |
string |
|
| Scaling |
string |
|
| Succeeded |
string |
|
| Suspended |
string |
|
| Suspending |
string |
|
| Updating |
string |
CapacitySku
Represents the SKU name and Azure pricing tier for PowerBI Dedicated capacity resource.
| Name | Type | Description |
|---|---|---|
| capacity |
integer |
The capacity of the SKU. |
| name |
string |
Name of the SKU level. |
| tier |
The name of the Azure pricing tier to which the SKU applies. |
CapacitySkuTier
The name of the Azure pricing tier to which the SKU applies.
| Name | Type | Description |
|---|---|---|
| AutoPremiumHost |
string |
|
| PBIE_Azure |
string |
|
| Premium |
string |
DedicatedCapacity
Represents an instance of a Dedicated Capacity resource.
| Name | Type | Description |
|---|---|---|
| id |
string |
An identifier that represents the PowerBI Dedicated resource. |
| location |
string |
Location of the PowerBI Dedicated resource. |
| name |
string |
The name of the PowerBI Dedicated resource. |
| properties.administration |
A collection of Dedicated capacity administrators |
|
| properties.friendlyName |
string |
Capacity name |
| properties.mode |
Specifies the generation of the Power BI Embedded capacity. If no value is specified, the default value 'Gen2' is used. Learn More |
|
| properties.provisioningState |
The current deployment state of PowerBI Dedicated resource. The provisioningState is to indicate states for resource provisioning. |
|
| properties.state |
The current state of PowerBI Dedicated resource. The state is to indicate more states outside of resource provisioning. |
|
| properties.tenantId |
string |
Tenant ID for the capacity. Used for creating Pro Plus capacity. |
| sku |
The SKU of the PowerBI Dedicated capacity resource. |
|
| systemData |
Metadata pertaining to creation and last modification of the resource. |
|
| tags |
object |
Key-value pairs of additional resource provisioning properties. |
| type |
string |
The type of the PowerBI Dedicated resource. |
DedicatedCapacityAdministrators
An array of administrator user identities
| Name | Type | Description |
|---|---|---|
| members |
string[] |
An array of administrator user identities. |
Error
The error object
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code |
| message |
string |
Error message indicating why the operation failed. |
ErrorResponse
Describes the format of Error response.
| Name | Type | Description |
|---|---|---|
| error |
The error object |
IdentityType
The type of identity that created/modified the resource.
| Name | Type | Description |
|---|---|---|
| Application |
string |
|
| Key |
string |
|
| ManagedIdentity |
string |
|
| User |
string |
Mode
Specifies the generation of the Power BI Embedded capacity. If no value is specified, the default value 'Gen2' is used. Learn More
| Name | Type | Description |
|---|---|---|
| Gen1 |
string |
|
| Gen2 |
string |
State
The current state of PowerBI Dedicated resource. The state is to indicate more states outside of resource provisioning.
| Name | Type | Description |
|---|---|---|
| Deleting |
string |
|
| Failed |
string |
|
| Paused |
string |
|
| Pausing |
string |
|
| Preparing |
string |
|
| Provisioning |
string |
|
| Resuming |
string |
|
| Scaling |
string |
|
| Succeeded |
string |
|
| Suspended |
string |
|
| Suspending |
string |
|
| Updating |
string |
SystemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string |
The timestamp of resource creation (UTC) |
| createdBy |
string |
An identifier for the identity that created the resource |
| createdByType |
The type of identity that created the resource |
|
| lastModifiedAt |
string |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
An identifier for the identity that last modified the resource |
| lastModifiedByType |
The type of identity that last modified the resource |